Subject: Re: bug#45202: pcscd service doesn't respond to SIGTERM
From: Brice Waegeneire <[email-masked]>
To: Raffael Stocker <[email-masked]>
Cc: Tobias Geerinckx-Rice <[email-masked]>, [email-masked]
Date: Sat, 03 Jul 2021 20:25:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Raffael,

Raffael Stocker <[email-masked]> writes:

> Interesting indeed.  From looking at the source of pcsc-lite (main() in
> pcscdaemon.c) it seems it's not modifying its sigmask.  IIRC, child
> processes inherit the parent's ignored signals, so if shepherd is
> ignoring SIGTERM before a fork() and not resetting to default before an
> exec(), pcscd will never receive the SIGTERM.  This might explain the
> behaviour.  I have not checked shepherd's source to confirm.
>
> If this is so, it should probably be fixed in shepherd, right?

Thank yu for the analysis of the issue, it helped me a lot to fix it.
The sheperd pcscd serice wasn't using the correct procedure to start the
daemon, it is fixed in e789ce538ed848bacb8f4eb5742f78b965ccf57c.

Cheers,
- Brice